package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class TeamDetailsDTO implements Serializable {

    private static final long serialVersionUID = -7589217012828810404L;

    /**
     * 用户标识
     */
    private Long userId;
    /**
     *用户名称
     */
    private String nickname;

    /**
     * 被邀请用户
     */
    private Long inviteUserId;

    /**
     * 被邀请用户名称
     */
    private String name;

    /**
     * 邀请的用户头像
     */
    private String inviteUserAvatar;

    /**
     * 总金额
     */
    private BigDecimal amount;

    /**
     * 来源类型：1-用户分佣；2-商户分佣
     */
    private Integer sourceType;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 邀请时间
     */
    private LocalDateTime inviteTime;
}
