package com.chelvc.cloud.vehicle.server.controller;

import com.chelvc.cloud.vehicle.client.dto.BalanceDetailDTO;
import com.chelvc.cloud.vehicle.client.param.QueryMerchantBalanceParam;
import com.chelvc.cloud.vehicle.server.service.BalanceDetailService;
import com.chelvc.framework.common.model.Pagination;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class BalanceDetailController {

    private final BalanceDetailService balanceDetailService;

    @GetMapping("/balanceDetail/queryByMerchantId")
    public Pagination<BalanceDetailDTO> queryByMerchantId(@SpringQueryMap QueryMerchantBalanceParam param,
                                                          @RequestParam("pageNum") Integer pageNum,
                                                          @RequestParam("pageSize") Integer pageSize,
                                                          @RequestParam("type") Integer type) {
        return balanceDetailService.queryByMerchantId(param, pageNum, pageSize, type);
    }
}
