package com.chelvc.cloud.vehicle.server.controller;


import com.chelvc.cloud.vehicle.client.param.FeedBackReplyModifyParam;
import com.chelvc.cloud.vehicle.server.service.FeedbackReplyService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 意见反馈回复接口
 *
 * @author liude
 * @data 2024/1/12
 */
@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class FeedbackReplyController {

    private final FeedbackReplyService feedbackReplyService;

    /**
     * 新增意见反馈回复
     *
     * @param param 新增参数
     * @return 主键
     */
    @PostMapping("/feedbackReply/addFeedbackReply")
    public Long addFeedbackReply(@RequestBody FeedBackReplyModifyParam param) {
        return feedbackReplyService.addFeedbackReply(param);
    }

    /**
     * 修改意见回复反馈
     *
     * @param id    主键
     * @param param 修改参数
     */
    @PutMapping("/feedbackReply/updateFeedbackReply")
    public void updateFeedbackReply(@RequestParam("id") Long id, @RequestBody FeedBackReplyModifyParam param) {
        feedbackReplyService.updateFeedbackReply(id, param);
    }

}
