package com.chelvc.cloud.vehicle.server.copier;
import com.chelvc.cloud.vehicle.client.dto.OrderReturnApplyDTO;
import com.chelvc.cloud.vehicle.client.param.OrderReturnApplyModifyParam;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderReturnApply;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 订单退货申请拷贝接口
 *
 * @author liude
 * @date 2023/12/20
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface OrderReturnApplyCopier {
    /**
     * 对象拷贝接口实例
     */
    OrderReturnApplyCopier INSTANCE = Mappers.getMapper(OrderReturnApplyCopier.class);

    /**
     * 订单退货申请拷贝
     *
     * @param omsOrderReturnApply 订单退货申请
     * @return 订单退货申请
     */
    OrderReturnApplyDTO copying(OmsOrderReturnApply omsOrderReturnApply);

    /**
     * 订单退货申请信息拷贝
     *
     * @param omsOrderReturnApplies 订单退货申请信息集合
     * @return 订单退货申请信息列表
     */
    List<OrderReturnApplyDTO> copying(Collection<OmsOrderReturnApply> omsOrderReturnApplies);

    /**
     * 订单退货申请信息拷贝
     *
     * @param param 订单退货申请更新参数
     * @return 订单退货申请信息
     */
    OmsOrderReturnApply copying(OrderReturnApplyModifyParam param);

    /**
     * 订单退货申请信息拷贝
     *
     * @param param    订单退货申请更新参数
     * @param omsOrderReturnApply 订单退货申请信息
     */
    void copying(OrderReturnApplyModifyParam param, @MappingTarget OmsOrderReturnApply omsOrderReturnApply);
}
