package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 用户关注关系
 * @author: igl
 * @date: 2023/8/14 10:13
 */
@Data
@TableName(value = "user_attention")
public class Attention implements Serializable {

  private static final long serialVersionUID = 3209107847982390085L;

  /**
   * 唯一标识
   */
  @TableId(value = "id", type = IdType.ASSIGN_ID)
  private Long id;

  /**
   * 用户标识
   */
  @TableField(value = "user_id")
  private Long userId;

  /**
   * 目标用户
   */
  @TableField(value = "target")
  private Long target;

  /**
   * 创建时间
   */
  @TableField(value = "create_time")
  private LocalDateTime createTime;

}
