package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.client.dto.IncomeRecordDTO;
import com.chelvc.cloud.vehicle.client.param.IncomeRecordModifyParam;
import com.chelvc.cloud.vehicle.server.copier.IncomeRecordCopier;
import com.chelvc.cloud.vehicle.server.dao.IncomeRecordMapper;
import com.chelvc.cloud.vehicle.server.entity.IncomeRecord;
import com.chelvc.cloud.vehicle.server.service.IncomeRecordService;
import com.chelvc.framework.base.context.SessionContextHolder;
import lombok.NonNull;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 收益记录操作实现
 *
 * @author liude
 * @date 2023/12/16
 */
@Service
public class IncomeRecordServiceImpl extends ServiceImpl<IncomeRecordMapper, IncomeRecord> implements IncomeRecordService {
    @Override
    public Long addIncomeRecord(@NonNull IncomeRecordModifyParam param) {
        IncomeRecord incomeRecord = IncomeRecordCopier.INSTANCE.copying(param);
        Long userId = SessionContextHolder.getId();
        incomeRecord.setCreateTime(new Date());
        incomeRecord.setUpdateTime(new Date());
        incomeRecord.setInviterId(userId);
        //List<IncomeRecord> recordList = this.lambdaQuery().eq(IncomeRecord :: getInviteeId,userId).list();

        this.save(incomeRecord);
        return incomeRecord.getId();
    }
    @Override
    public List<IncomeRecordDTO> listIncomeRecord(){
        Long userId = SessionContextHolder.getId();
        List<IncomeRecord> recordList = this.lambdaQuery().eq(IncomeRecord :: getInviteeId,userId).list();
        return IncomeRecordCopier.INSTANCE.copying(recordList);
    }



 }
